org.apache.maven.scm.provider.svn.svnexe.command.blame

## Class SvnBlameCommand

- java.lang.Object
- - org.apache.maven.scm.command.AbstractCommand
  - - org.apache.maven.scm.command.blame.AbstractBlameCommand
    - - org.apache.maven.scm.provider.svn.svnexe.command.blame.SvnBlameCommand

All Implemented Interfaces:
  Command, SvnCommand

    public class SvnBlameCommand
    extends AbstractBlameCommand
    implements SvnCommand

Since:
  1.4
Author:
  Evgeny Mandrikov, Olivier Lamy

### Field Summary

### Fields inherited from interface org.apache.maven.scm.command.Command

`ROLE`

### Constructor Summary

Constructors
Constructor and Description
`SvnBlameCommand()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static org.codehaus.plexus.util.cli.Commandline` `createCommandLine(SvnScmProviderRepository repository, File workingDirectory, String filename)`
`BlameScmResult` `executeBlameCommand(ScmProviderRepository repo, ScmFileSet workingDirectory, String filename)`

### Methods inherited from class org.apache.maven.scm.command.blame.AbstractBlameCommand

`executeCommand`

### Methods inherited from class org.apache.maven.scm.command.AbstractCommand

`execute, getLogger, setLogger`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.maven.scm.command.Command

`execute, getLogger, setLogger`

### Constructor Detail

#### SvnBlameCommand

    public SvnBlameCommand()

### Method Detail

#### executeBlameCommand

    public BlameScmResult executeBlameCommand(ScmProviderRepository repo,
                                              ScmFileSet workingDirectory,
                                              String filename)
                                       throws ScmException

Specified by:
  `executeBlameCommand` in class `AbstractBlameCommand`
Throws:
  `ScmException`

#### createCommandLine

    public static org.codehaus.plexus.util.cli.Commandline createCommandLine(SvnScmProviderRepository repository,
                                                                             File workingDirectory,
                                                                             String filename)